using System;
class Primer{
    static void Main()
    {
        int n , k , br , i , j ,f,g,h,t;
        n = int.Parse(Console.Read());
        k = int.Parse(Console.Read());
        int[] m = new int[n];
        for(i=0;i<n;i++) m=0;
        int[] a = new int[n];
        sting p = Console.ReadLine();
        string[] pa = p.Split(" ");
        for(i=0;i<n;i++) a[i]=int.Parse(pa[i]);
        for(f=0;f<n;f++)
        {
            for(j=0;j<n;j++)
            {
                if(a[f]==a[j])
                {
                    m[j]++;
                    a[j]=n+j;
                }
            }
        }
        for(g=0;g<n;g++) 
        {
            if(m[g]>=k) 
            {
                br++;
            }
        }
        Console.WriteLine(br);
        int[] s = new int[br];
        int c = 0;
        for(h=0;h<n;h++) 
        {
            if(m[h]>=k) 
            {
                s[c]=m[h];
                c++;
            }
        }
        Console.Write(s[0])
        for(t=1;t<br;i++) 
        {
            Console.Write(" {0}",s[t]);
        }
    }
}